<template>
	<view class="box flex flex-column align-items">
		<view v-for="(item, index) in mysignList" :key="index" style="margin: 0 30rpx;">
			<view class="flex align-items" style="justify-content: space-between;height: 70rpx;line-height: 70rpx;">
				<view class="t1_name">
					{{item.user.realname ? item.user.realname : item.user.nickname.slice(0,5)}}
					<image v-if="item.status == 2" class="imgs" src="/static/detail/hxslice.png"> </image>
					<image v-if="item.status == 9" class="imgs" src="/static/detail/hxall.png"> </image>
				</view>
				<view class="t1_order">订单编号：{{item.order_no}}</view>
				<view class="t1_num">数量：{{item.num}}</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				mysignList:[],
			};
		},
		onLoad(option) {
			this.id = option.id;
		},
		onShow() {
			this.getPeople();
		},
		methods:{
			// 获取报名详情
			getPeople() {
				const that = this
				uni.$u.http.get('/api/school.newworker.activity.order/order_list', {
					params: {
						activity_id: that.id,
						page: 1,
						limit: 1000,
					},
				}).then(res => {
					if (res.code == 1) {
						this.mysignList = res.data.list;
					} else {

						uni.showToast({
							title: res.msg,
							icon: 'none',
							duration: 2000
						});
					}
				}).catch(error => {
					uni.showToast({
						title: '请求失败，请稍后再试',
						icon: 'none',
						duration: 2000
					});

				});
			},
			// 跳转订单
			toDetail(status){
				uni.navigateTo({
					url: "/packageA/my/exercise?status=" + status
				})
			},
			// 返回首页
			goHome() {
				uni.switchTab({
					url: "/pages/index/index"
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
.w-100 {
		width: 100%;
	}
	.w-400{
		width: 400rpx;
	}

	.flex {
		display: flex;
	}

	.justify-center {
		justify-content: center;
	}

	.space-between {
		justify-content: space-between;
	}

	.align-items {
		align-items: center;
	}

	.flex-column {
		flex-flow: column;
	}

	.justify-start {
		justify-content: start;
	}

	.mar-top-30 {
		margin-top: 30rpx;
	}
	.hui{
		font-family: PingFang SC, PingFang SC;
		font-weight: 500;
		font-size: 24rpx;
		color: #7A7A7A;
	}
	.white-space {
		overflow: hidden;
		/* 确保超出容器的文本被隐藏 */
		white-space: nowrap;
		/* 确保文本在一行内显示 */
		text-overflow: ellipsis;
	}
	.box{
		width: 750rpx;
		height: 100vh;
		background-color: #FFFFFF;
		.t1_name{
			width: 140rpx;
			height: 36rpx;
			font-family: PingFang SC, PingFang SC;
			font-weight: 400;
			font-size: 26rpx;
			color: #3D3D3D;
			line-height: 36rpx;
			text-align: left;
			font-style: normal;
			text-transform: none;
			display: flex;
			align-items: center;
			.imgs{
				margin-left: 10rpx;
				width: 26rpx;
				height: 26rpx;
			}
		}
				.t1_order{
					width: 430rpx;
					height: 36rpx;
					font-family: PingFang SC, PingFang SC;
					font-weight: 400;
					font-size: 26rpx;
					color: #3D3D3D;
					line-height: 36rpx;
					text-align: left;
					font-style: normal;
					text-transform: none;
					white-space: nowrap;
    				overflow: hidden;
    				text-overflow: ellipsis;
				}
				.t1_num{
					width: 103rpx;
					height: 36rpx;

					font-family: PingFang SC, PingFang SC;
					font-weight: 400;
					font-size: 26rpx;
					color: #3D3D3D;
					line-height: 36rpx;
					text-align: left;
					font-style: normal;
					text-transform: none;
				}
	}
</style>
